Delete collection
DELETE
/api/collections/{collectionId}
const url = 'https://firma.company-gpt.com/companygpt/rag/api/api/collections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://firma.company-gpt.com/companygpt/rag/api/api/collections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Delete a collection and all associated data. Only the owner may delete.
Authorizations
Abschnitt betitelt „Authorizations“Parameters
Abschnitt betitelt „Parameters“Path Parameters
Abschnitt betitelt „Path Parameters“collectionId
required
string format: uuid
Collection UUID
Responses
Abschnitt betitelt „Responses“Collection deleted
Invalid collection ID
Unauthorized
Collection not found (also returned instead of 403 when the caller is not the owner)